docusign.account-consumer-disclosures.get-consumer-disclosure
Retrieves the default, HTML-formatted Electronic Record and Signature Disclosure (ERSD) associated with the account. This is the default ERSD disclosure that Docusign provides for the convenience of U.S.-based customers only. This default disclosure is only valid for transactions between U.S.-based parties. To set the language of the disclosure that you want to retrieve, use the optional langCode query parameter.
Gets the default Electronic Record and Signature Disclosure for an account.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
langcode | string | No | — | The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported: - Arabic (ar) - Bulgarian (bg) - Czech (cs) - Chinese Simplified (zh_CN) - Chinese Traditional (zh_TW) - Croatian (hr) - Danish (da) - Dutch (nl) - English US (en) - English UK (en_GB) - Estonian (et) - Farsi (fa) - Finnish (fi) - French (fr) - French Canadian (fr_CA) - German (de) - Greek (el) - Hebrew (he) - Hindi (hi) - Hungarian (hu) - Bahasa Indonesian (id) - Italian (it) - Japanese (ja) - Korean (ko) - Latvian (lv) - Lithuanian (lt) - Bahasa Melayu (ms) - Norwegian (no) - Polish (pl) - Portuguese (pt) - Portuguese Brazil (pt_BR) - Romanian (ro) - Russian (ru) - Serbian (sr) - Slovak (sk) - Slovenian (sl) - Spanish (es) - Spanish Latin America (es_MX) - Swedish (sv) - Thai (th) - Turkish (tr) - Ukrainian (uk) - Vietnamese (vi) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser. |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
langcode | string | No | — | The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported: - Arabic (ar) - Bulgarian (bg) - Czech (cs) - Chinese Simplified (zh_CN) - Chinese Traditional (zh_TW) - Croatian (hr) - Danish (da) - Dutch (nl) - English US (en) - English UK (en_GB) - Estonian (et) - Farsi (fa) - Finnish (fi) - French (fr) - French Canadian (fr_CA) - German (de) - Greek (el) - Hebrew (he) - Hindi (hi) - Hungarian (hu) - Bahasa Indonesian (id) - Italian (it) - Japanese (ja) - Korean (ko) - Latvian (lv) - Lithuanian (lt) - Bahasa Melayu (ms) - Norwegian (no) - Polish (pl) - Portuguese (pt) - Portuguese Brazil (pt_BR) - Romanian (ro) - Russian (ru) - Serbian (sr) - Slovak (sk) - Slovenian (sl) - Spanish (es) - Spanish Latin America (es_MX) - Swedish (sv) - Thai (th) - Turkish (tr) - Ukrainian (uk) - Vietnamese (vi) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/consumer_disclosure |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/consumer_disclosure |
* (any state) | fail | failed | Record the failure reason |
API Usage
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.account-consumer-disclosures.get-consumer-disclosure",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}